﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using pdfcom;
using System.Reflection;

namespace CSharp_WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string strStartupPath = System.Windows.Forms.Application.StartupPath + "\\";

            System.Type pdf2vecName = Type.GetTypeFromProgID("pdfcom.pdfclass");
            if (pdf2vecName != null)
            {
                object pdf2vec = Activator.CreateInstance(pdf2vecName);
                string strInFile = strStartupPath + "test-color.tif";
                string strOutFile = strStartupPath + "_test-color.pdf";
                string strCmd = "-$ XXXXXXXXXXXXXXXXXXXX -ocr -ocrmode 4 -outboxfile \"" + strInFile + "\" \"" + strOutFile + "\"";
                //string strCmd = "-$ XXXXXXXXXXXXXXXXXXXX -ocr -ocrmode 4 -res 72 \"" + strInFile + "\" \"" + strOutFile + "\"";
                //string strCmd = "-$ XXXXXXXXXXXXXXXXXXXX -ocr -ocrmode 4 -res 72 -bitcount 24 \"" + strInFile + "\" \"" + strOutFile + "\"";
                //string strCmd = "-$ XXXXXXXXXXXXXXXXXXXX \"" + strInFile + "\" \"" + strOutFile + "\"";

                MessageBox.Show(strCmd);
                object[] argn = new object[1];
                argn[0] = strCmd;
                int nRet = (int)pdf2vecName.InvokeMember("com_PDFToTextOCRSDKShell", BindingFlags.InvokeMethod, null, pdf2vec, argn);
                MessageBox.Show("Return Value is: " + string.Format("{0}", nRet));
            }
        }
    }
}
